POST /v1/workflows/{id}/regenerate-descriptions
Regenerate AI descriptions for a workflow
POST
/v1/workflows/{id}/regenerate-descriptions
Regenerate AI descriptions for a workflow
Path Parameters
id
string
required
path
Workflow ID
Responses
200
OK
application/jsoncode
integer
data
object
aiDescription
string
aiName
string
message
string
requestId
string
404
Not Found
500
Internal Server Error
curl -X POST 'https://api.example.com/v1/workflows/string/regenerate-descriptions' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/workflows/string/regenerate-descriptions', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/workflows/string/regenerate-descriptions', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("POST", "https://api.example.com/v1/workflows/string/regenerate-descriptions", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "aiDescription": "<string>", "aiName": "<string>" }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
POST
/v1/workflows/{id}/regenerate-descriptions
